## org.apache.cassandra.cql.jdbc
Class AbstractJdbcUUID

    java.lang.Object
      org.apache.cassandra.cql.jdbc.AbstractJdbcType<java.util.UUID>
          org.apache.cassandra.cql.jdbc.AbstractJdbcUUID

Direct Known Subclasses:
  JdbcLexicalUUID, JdbcTimeUUID, JdbcUUID

    public abstract class AbstractJdbcUUID

extends AbstractJdbcType<java.util.UUID>

Constructor Summary
`AbstractJdbcUUID()`

Method Summary
`int` `getJdbcType()`
`int` `getPrecision(java.util.UUID obj)`
`int` `getScale(java.util.UUID obj)`
`java.lang.Class<java.util.UUID>` `getType()`
`boolean` `isCaseSensitive()`
`boolean` `isCurrency()`
`boolean` `isSigned()`
`boolean` `needsQuotes()`
`java.lang.String` `toString(java.util.UUID obj)`

Methods inherited from class org.apache.cassandra.cql.jdbc.AbstractJdbcType
`compose, decompose, getString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractJdbcUUID

    public AbstractJdbcUUID()

Method Detail

### toString

    public java.lang.String toString(java.util.UUID obj)

  Specified by:
    `toString` in class `AbstractJdbcType<java.util.UUID>`

### isCaseSensitive

    public boolean isCaseSensitive()

  Specified by:
    `isCaseSensitive` in class `AbstractJdbcType<java.util.UUID>`

### getScale

    public int getScale(java.util.UUID obj)

  Specified by:
    `getScale` in class `AbstractJdbcType<java.util.UUID>`

### getPrecision

    public int getPrecision(java.util.UUID obj)

  Specified by:
    `getPrecision` in class `AbstractJdbcType<java.util.UUID>`

### isCurrency

    public boolean isCurrency()

  Specified by:
    `isCurrency` in class `AbstractJdbcType<java.util.UUID>`

### isSigned

    public boolean isSigned()

  Specified by:
    `isSigned` in class `AbstractJdbcType<java.util.UUID>`

### needsQuotes

    public boolean needsQuotes()

  Specified by:
    `needsQuotes` in class `AbstractJdbcType<java.util.UUID>`

### getType

    public java.lang.Class<java.util.UUID> getType()

  Specified by:
    `getType` in class `AbstractJdbcType<java.util.UUID>`

### getJdbcType

    public int getJdbcType()

  Specified by:
    `getJdbcType` in class `AbstractJdbcType<java.util.UUID>`

Copyright © 2013 The Apache Software Foundation